# Table$file

### Table$<mark style="color:purple;">file</mark>(*name, file\_id\_variable, file\_name\_variable*) → [**File**](/api/client-libraries/redivis-r/reference/file.md)

Reference a file within the current table. Only relevant for tables that contain at least one variable with file ids. If the table contains multiple file id variables, must specify the `file_id_variable` parameter.

Same as calling `table$to_directory()$get(name)`.

### **Parameters:**

**`name` :&#x20;*****str***\
The full name of the file.

**`file_id_variable` :&#x20;*****str, optional***\
The name of the variable in the table containing file ids. Only required if the table contains more than one fileId variable.

**`file_name_variable` :&#x20;*****str, optional***\
The name of the variable in the table containing the file name. If unspecified, will look for a variable `file_name` within the current table, or otherwise will use the file's original name.

### **Returns:**&#x20;

[**File**](/api/client-libraries/redivis-r/reference/file.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/table/tableusdfile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
